function [h]=fill_curves(x,y1,y2,color,opaque)

if iscolumn(x)
     x=x';
end

if iscolumn(y1)
    y1=y1';
end

if iscolumn(y2)
    y2=y2';
end

hold on

x2 = [x, fliplr(x)];
inBetween = [y2,fliplr(y1)];
h=fill(x2, inBetween,color);
h.LineStyle = ':';
% Choose a number between 0 (invisible) and 1 (opaque) for facealpha.  
set(h,'facealpha',opaque)
end

